## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCDistinctUDT

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
                          org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCDistinctUDT

All Implemented Interfaces:
  ICatalogObject, DataType, DistinctUserDefinedType, UserDefinedType, SQLObject

    public class JDBCDistinctUDT

extends DistinctUserDefinedTypeImpl
implements ICatalogObject

Constructor Summary
`JDBCDistinctUDT()`

Method Summary
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
`basicSetPredefinedRepresentation, eGet, eInverseRemove, eIsSet, eSet, eUnset, getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
`basicGetSchema, basicSetOrdering, basicSetSchema, eInverseAdd, getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCDistinctUDT

    public JDBCDistinctUDT()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.